服务支持

loophole

安全补丁公告

当前位置  >  首页  >  服务支持  >  安全补丁公告

公告ID(KYSA-202109-1008

摘要:python-pip漏洞 安全等级:低等 公告ID:KYSA-202109-1008 发布日期:2021-09-03 影响CVE:CVE-2021-3572

详细介绍

1. 修复的CVE信息

  • CVE-2021-3572

    描述:在 python-pip 中发现了一个缺陷,它处理 git 引用中的 Unicode 分隔符的方式。远程攻击者可能会利用此问题在存储库上安装不同的修订版。此漏洞的最大威胁是数据完整性。


2. 影响的操作系统及修复版本

  • 银河麒麟高级服务器操作系统 V10 SP2

python-pip-help-20.2.2-2.ky10

python-pip-wheel-20.2.2-2.ky10

python2-pip-20.2.2-2.ky10

python3-pip-20.2.2-2.ky10


3. 受影响的软件包

  • 银河麒麟高级服务器操作系统 V10 SP2

aarch64:python-pip-help、python-pip-wheel、python2-pip、python3-pip

x86_64:python-pip-help、python-pip-wheel、python2-pip、python3-pip


4. 修复方法

方法一:配置源进行升级安装

1.打开软件包源配置文件,根据仓库地址进行修改。

仓库源地址:银河麒麟高级服务器操作系统 V10 SP2

aarch64:http://update.cs2c.com.cn:8080/NS/V10/V10SP2/os/adv/lic/updates/aarch64/

x86_64:http://update.cs2c.com.cn:8080/NS/V10/V10SP2/os/adv/lic/updates/x86_64/

2.配置完成后执行更新命令进行升级,命令如下:yum update Packagename

方法二:下载安装包进行升级安装

通过软件包地址下载软件包,使用软件包升级命令根据受影响的软件包列表进行升级安装,命令如下:yum install Packagename


5. 软件包下载地址

  • 银河麒麟高级服务器操作系统 V10 SP2

     python-pip aarch64软件包下载地址:

http://update.cs2c.com.cn:8080/NS/V10/V10SP2/os/adv/lic/updates/aarch64/Packages/python-pip-help-20.2.2-2.ky10.noarch.rpm

http://update.cs2c.com.cn:8080/NS/V10/V10SP2/os/adv/lic/updates/aarch64/Packages/python-pip-wheel-20.2.2-2.ky10.noarch.rpm

http://update.cs2c.com.cn:8080/NS/V10/V10SP2/os/adv/lic/updates/aarch64/Packages/python2-pip-20.2.2-2.ky10.noarch.rpm

http://update.cs2c.com.cn:8080/NS/V10/V10SP2/os/adv/lic/updates/aarch64/Packages/python3-pip-20.2.2-2.ky10.noarch.rpm

 python-pip x86_64软件包下载地址:

http://update.cs2c.com.cn:8080/NS/V10/V10SP2/os/adv/lic/updates/x86_64/Packages/python-pip-help-20.2.2-2.ky10.noarch.rpm

http://update.cs2c.com.cn:8080/NS/V10/V10SP2/os/adv/lic/updates/x86_64/Packages/python-pip-wheel-20.2.2-2.ky10.noarch.rpm

http://update.cs2c.com.cn:8080/NS/V10/V10SP2/os/adv/lic/updates/x86_64/Packages/python2-pip-20.2.2-2.ky10.noarch.rpm

http://update.cs2c.com.cn:8080/NS/V10/V10SP2/os/adv/lic/updates/x86_64/Packages/python3-pip-20.2.2-2.ky10.noarch.rpm

注:其他相关依赖包请到相同目录下载

 


上一篇: KYSA-202109-1007 下一篇: KYSA-202109-1009

试用

服务

动态

联系